﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __InsuranceHeader = LightSwitchApplication.InsuranceHeader
Imports __InsuranceDetail = LightSwitchApplication.InsuranceDetail

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class InsuranceHeader
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __InsuranceHeader, __InsuranceHeader.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the InsuranceHeader entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InsuranceHeader))
            MyBase.New(entitySet)
            
            __InsuranceHeader.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceHeader_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceHeader_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __InsuranceHeader.DetailsClass.SetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __InsuranceHeader.DetailsClass.SetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RefNumber As String
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.RefNumber)
            End Get
            Set
                __InsuranceHeader.DetailsClass.SetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.RefNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RefNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RefNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RefNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Docs As Byte()
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.Docs)
            End Get
            Set
                __InsuranceHeader.DetailsClass.SetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.Docs, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Docs_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Docs_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Docs_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PremiumTotal As Decimal
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.PremiumTotal)
            End Get
            Set
                __InsuranceHeader.DetailsClass.SetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.PremiumTotal, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PremiumTotal_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PremiumTotal_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PremiumTotal_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PropertyHeader As Global.LightSwitchApplication.PropertyHeader
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.PropertyHeader)
            End Get
            Set
                __InsuranceHeader.DetailsClass.SetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.PropertyHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InsuranceDetail As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.InsuranceDetail)
            Get
                Return __InsuranceHeader.DetailsClass.GetValue(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.InsuranceDetail)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InsuranceDetailQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.InsuranceDetail)
            Get
                Return __InsuranceHeader.DetailsClass.GetQuery(Me, __InsuranceHeader.DetailsClass.PropertySetProperties.InsuranceDetail)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __InsuranceHeader, _
                __InsuranceHeader.DetailsClass, _
                __InsuranceHeader.DetailsClass.IImplementation, _
                __InsuranceHeader.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InsuranceHeader, __InsuranceHeader.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InsuranceHeader, __InsuranceHeader.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __InsuranceHeader.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __InsuranceHeaderEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InsuranceHeader, __InsuranceHeader.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InsuranceHeader, __InsuranceHeader.DetailsClass).Entry( _
                    AddressOf __InsuranceHeader.DetailsClass.__InsuranceHeader_CreateNew, _
                    AddressOf __InsuranceHeader.DetailsClass.__InsuranceHeader_Created, _
                    AddressOf __InsuranceHeader.DetailsClass.__InsuranceHeader_AllowSaveWithErrors)
            Private Shared Function __InsuranceHeader_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InsuranceHeader)) As __InsuranceHeader
                Return New __InsuranceHeader(es)
            End Function
            Private Shared Sub __InsuranceHeader_Created(e As __InsuranceHeader)
                e.InsuranceHeader_Created()
            End Sub
            Private Shared Function __InsuranceHeader_AllowSaveWithErrors(e As __InsuranceHeader) As Boolean
                Dim result As Boolean = False
                e.InsuranceHeader_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InsuranceHeader, __InsuranceHeader.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InsuranceHeader, __InsuranceHeader.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __InsuranceHeader.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __InsuranceHeader, __InsuranceHeader.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property RefNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.RefNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Docs As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.Docs),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property PremiumTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.PremiumTotal),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.PropertyHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader))
                    End Get
                End Property
                
                Public ReadOnly Property InsuranceDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.InsuranceDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceHeader.DetailsClass.PropertySetProperties.InsuranceDetail),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.InsuranceDetail))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property RefNumber As String
                Shadows Property Docs As Byte()
                Shadows Property PremiumTotal As Decimal
                Shadows Property PropertyHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows ReadOnly Property InsuranceDetail As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Integer).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __InsuranceHeader) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __InsuranceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __InsuranceHeader.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __InsuranceHeader.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __InsuranceHeader)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __InsuranceHeader) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __InsuranceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __InsuranceHeader.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __InsuranceHeader.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __InsuranceHeader)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RefNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, String).Entry( _
                        "RefNumber", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RefNumber_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RefNumber_ComputeIsReadOnly, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RefNumber_Validate, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RefNumber_GetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RefNumber_SetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._RefNumber_OnValueChanged)
                Private Shared Sub _RefNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, String).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._RefNumber, sf)
                End Sub
                Private Shared Function _RefNumber_ComputeIsReadOnly(e As __InsuranceHeader) As Boolean
                    Dim result As Boolean = False
                    e.RefNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RefNumber_Validate(e As __InsuranceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RefNumber_Validate(r)
                End Sub
                Private Shared Function _RefNumber_GetImplementationValue(d As __InsuranceHeader.DetailsClass) As String
                    Return d.ImplementationEntity.RefNumber
                End Function
                Private Shared Sub _RefNumber_SetImplementationValue(d As __InsuranceHeader.DetailsClass, v As String)
                    d.ImplementationEntity.RefNumber = v
                End Sub
                Private Shared Sub _RefNumber_OnValueChanged(e As __InsuranceHeader)
                    e.RefNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Docs As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Entry( _
                        "Docs", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Docs_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Docs_ComputeIsReadOnly, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Docs_Validate, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Docs_GetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Docs_SetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._Docs_OnValueChanged)
                Private Shared Sub _Docs_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._Docs, sf)
                End Sub
                Private Shared Function _Docs_ComputeIsReadOnly(e As __InsuranceHeader) As Boolean
                    Dim result As Boolean = False
                    e.Docs_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Docs_Validate(e As __InsuranceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Docs_Validate(r)
                End Sub
                Private Shared Function _Docs_GetImplementationValue(d As __InsuranceHeader.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Docs
                End Function
                Private Shared Sub _Docs_SetImplementationValue(d As __InsuranceHeader.DetailsClass, v As Byte())
                    d.ImplementationEntity.Docs = v
                End Sub
                Private Shared Sub _Docs_OnValueChanged(e As __InsuranceHeader)
                    e.Docs_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PremiumTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Decimal).Entry( _
                        "PremiumTotal", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PremiumTotal_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PremiumTotal_ComputeIsReadOnly, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PremiumTotal_Validate, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PremiumTotal_GetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PremiumTotal_SetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PremiumTotal_OnValueChanged)
                Private Shared Sub _PremiumTotal_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Decimal).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._PremiumTotal, sf)
                End Sub
                Private Shared Function _PremiumTotal_ComputeIsReadOnly(e As __InsuranceHeader) As Boolean
                    Dim result As Boolean = False
                    e.PremiumTotal_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PremiumTotal_Validate(e As __InsuranceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PremiumTotal_Validate(r)
                End Sub
                Private Shared Function _PremiumTotal_GetImplementationValue(d As __InsuranceHeader.DetailsClass) As Decimal
                    Return d.ImplementationEntity.PremiumTotal
                End Function
                Private Shared Sub _PremiumTotal_SetImplementationValue(d As __InsuranceHeader.DetailsClass, v As Decimal)
                    d.ImplementationEntity.PremiumTotal = v
                End Sub
                Private Shared Sub _PremiumTotal_OnValueChanged(e As __InsuranceHeader)
                    e.PremiumTotal_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry( _
                        "PropertyHeader", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_ComputeIsReadOnly, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_Validate, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_GetCoreImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_GetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_SetImplementationValue, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_Refresh, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._PropertyHeader_OnValueChanged)
                Private Shared Sub _PropertyHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._PropertyHeader, sf)
                End Sub
                Private Shared Function _PropertyHeader_ComputeIsReadOnly(e As __InsuranceHeader) As Boolean
                    Dim result As Boolean = False
                    e.PropertyHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PropertyHeader_Validate(e As __InsuranceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PropertyHeader_Validate(r)
                End Sub
                Private Shared Function _PropertyHeader_GetCoreImplementationValue(d as __InsuranceHeader.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.PropertyHeader
                End Function
                Private Shared Function _PropertyHeader_GetImplementationValue(d as __InsuranceHeader.DetailsClass) As Global.LightSwitchApplication.PropertyHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.PropertyHeader, Global.LightSwitchApplication.PropertyHeader.DetailsClass)(__InsuranceHeader.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader)
                End Function
                Private Shared Sub _PropertyHeader_SetImplementationValue(d As __InsuranceHeader.DetailsClass, v As Global.LightSwitchApplication.PropertyHeader)
                    d.SetImplementationValue(__InsuranceHeader.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader, Sub(i, ev) i.PropertyHeader = ev, v)
                End Sub
                Private Shared Sub _PropertyHeader_Refresh(d As __InsuranceHeader.DetailsClass)
                    d.RefreshNavigationProperty(__InsuranceHeader.DetailsClass.PropertySetProperties.PropertyHeader, d._PropertyHeader)
                End Sub
                Private Shared Sub _PropertyHeader_OnValueChanged(e As __InsuranceHeader)
                    e.PropertyHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InsuranceDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.InsuranceDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.InsuranceDetail).Entry( _
                        "InsuranceDetail", _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._InsuranceDetail_Stub, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._InsuranceDetail_GetReferencedEntities, _
                        AddressOf __InsuranceHeader.DetailsClass.PropertySetProperties._InsuranceDetail_GetEntityCollection)
                Private Shared Sub _InsuranceDetail_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.InsuranceDetail).Data), d As __InsuranceHeader.DetailsClass, sf As Object)
                    c(d, d._InsuranceDetail, sf)
                End Sub
                Private Shared Function _InsuranceDetail_GetReferencedEntities(d As __InsuranceHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.InsuranceDetail)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.InsuranceDetail, Global.LightSwitchApplication.InsuranceDetail.DetailsClass)(__InsuranceHeader.DetailsClass.PropertySetProperties.InsuranceDetail, d._InsuranceDetail)
                End Function
                Private Shared Function _InsuranceDetail_GetEntityCollection(d As __InsuranceHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.InsuranceDetail
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RefNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Docs As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PremiumTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PropertyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InsuranceDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InsuranceHeader, __InsuranceHeader.DetailsClass, Global.LightSwitchApplication.InsuranceDetail).Data
            
        End Class
    
        #End Region
    
    End Class
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class InsuranceDetail
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __InsuranceDetail, __InsuranceDetail.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the InsuranceDetail entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InsuranceDetail))
            MyBase.New(entitySet)
            
            __InsuranceDetail.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceDetail_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceDetail_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PremiumAmount As Decimal
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.PremiumAmount)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.PremiumAmount, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PremiumAmount_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PremiumAmount_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PremiumAmount_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DatePaid As Date
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.DatePaid)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.DatePaid, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DatePaid_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DatePaid_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DatePaid_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PaymentMode As String
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.PaymentMode)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.PaymentMode, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentMode_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentMode_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentMode_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InsuranceHeader As Global.LightSwitchApplication.InsuranceHeader
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.InsuranceHeader)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.InsuranceHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InsuranceHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PaidBy As Global.LightSwitchApplication.Staff
            Get
                Return __InsuranceDetail.DetailsClass.GetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.PaidBy)
            End Get
            Set
                __InsuranceDetail.DetailsClass.SetValue(Me, __InsuranceDetail.DetailsClass.PropertySetProperties.PaidBy, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaidBy_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaidBy_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaidBy_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __InsuranceDetail, _
                __InsuranceDetail.DetailsClass, _
                __InsuranceDetail.DetailsClass.IImplementation, _
                __InsuranceDetail.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InsuranceDetail, __InsuranceDetail.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InsuranceDetail, __InsuranceDetail.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __InsuranceDetail.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __InsuranceDetailEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InsuranceDetail, __InsuranceDetail.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InsuranceDetail, __InsuranceDetail.DetailsClass).Entry( _
                    AddressOf __InsuranceDetail.DetailsClass.__InsuranceDetail_CreateNew, _
                    AddressOf __InsuranceDetail.DetailsClass.__InsuranceDetail_Created, _
                    AddressOf __InsuranceDetail.DetailsClass.__InsuranceDetail_AllowSaveWithErrors)
            Private Shared Function __InsuranceDetail_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InsuranceDetail)) As __InsuranceDetail
                Return New __InsuranceDetail(es)
            End Function
            Private Shared Sub __InsuranceDetail_Created(e As __InsuranceDetail)
                e.InsuranceDetail_Created()
            End Sub
            Private Shared Function __InsuranceDetail_AllowSaveWithErrors(e As __InsuranceDetail) As Boolean
                Dim result As Boolean = False
                e.InsuranceDetail_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InsuranceDetail, __InsuranceDetail.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InsuranceDetail, __InsuranceDetail.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __InsuranceDetail.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __InsuranceDetail, __InsuranceDetail.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property PremiumAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.PremiumAmount),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property DatePaid As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.DatePaid),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property PaymentMode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.PaymentMode),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property InsuranceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.InsuranceHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.InsuranceHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.InsuranceHeader))
                    End Get
                End Property
                
                Public ReadOnly Property PaidBy As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.Staff)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InsuranceDetail.DetailsClass.PropertySetProperties.PaidBy),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.Staff))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property PremiumAmount As Decimal
                Shadows Property DatePaid As Date
                Shadows Property PaymentMode As String
                Shadows Property InsuranceHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property PaidBy As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Integer).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __InsuranceDetail.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __InsuranceDetail)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Byte()).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __InsuranceDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __InsuranceDetail)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PremiumAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Decimal).Entry( _
                        "PremiumAmount", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PremiumAmount_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PremiumAmount_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PremiumAmount_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PremiumAmount_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PremiumAmount_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PremiumAmount_OnValueChanged)
                Private Shared Sub _PremiumAmount_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Decimal).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._PremiumAmount, sf)
                End Sub
                Private Shared Function _PremiumAmount_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.PremiumAmount_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PremiumAmount_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PremiumAmount_Validate(r)
                End Sub
                Private Shared Function _PremiumAmount_GetImplementationValue(d As __InsuranceDetail.DetailsClass) As Decimal
                    Return d.ImplementationEntity.PremiumAmount
                End Function
                Private Shared Sub _PremiumAmount_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As Decimal)
                    d.ImplementationEntity.PremiumAmount = v
                End Sub
                Private Shared Sub _PremiumAmount_OnValueChanged(e As __InsuranceDetail)
                    e.PremiumAmount_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DatePaid As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Date).Entry( _
                        "DatePaid", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._DatePaid_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._DatePaid_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._DatePaid_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._DatePaid_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._DatePaid_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._DatePaid_OnValueChanged)
                Private Shared Sub _DatePaid_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Date).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._DatePaid, sf)
                End Sub
                Private Shared Function _DatePaid_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.DatePaid_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DatePaid_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DatePaid_Validate(r)
                End Sub
                Private Shared Function _DatePaid_GetImplementationValue(d As __InsuranceDetail.DetailsClass) As Date
                    Return d.ImplementationEntity.DatePaid
                End Function
                Private Shared Sub _DatePaid_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As Date)
                    d.ImplementationEntity.DatePaid = __InsuranceDetail.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _DatePaid_OnValueChanged(e As __InsuranceDetail)
                    e.DatePaid_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PaymentMode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, String).Entry( _
                        "PaymentMode", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaymentMode_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaymentMode_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaymentMode_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaymentMode_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaymentMode_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaymentMode_OnValueChanged)
                Private Shared Sub _PaymentMode_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, String).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._PaymentMode, sf)
                End Sub
                Private Shared Function _PaymentMode_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.PaymentMode_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PaymentMode_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PaymentMode_Validate(r)
                End Sub
                Private Shared Function _PaymentMode_GetImplementationValue(d As __InsuranceDetail.DetailsClass) As String
                    Return d.ImplementationEntity.PaymentMode
                End Function
                Private Shared Sub _PaymentMode_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As String)
                    d.ImplementationEntity.PaymentMode = v
                End Sub
                Private Shared Sub _PaymentMode_OnValueChanged(e As __InsuranceDetail)
                    e.PaymentMode_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InsuranceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.InsuranceHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.InsuranceHeader).Entry( _
                        "InsuranceHeader", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_GetCoreImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_Refresh, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._InsuranceHeader_OnValueChanged)
                Private Shared Sub _InsuranceHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.InsuranceHeader).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._InsuranceHeader, sf)
                End Sub
                Private Shared Function _InsuranceHeader_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.InsuranceHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InsuranceHeader_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InsuranceHeader_Validate(r)
                End Sub
                Private Shared Function _InsuranceHeader_GetCoreImplementationValue(d as __InsuranceDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.InsuranceHeader
                End Function
                Private Shared Function _InsuranceHeader_GetImplementationValue(d as __InsuranceDetail.DetailsClass) As Global.LightSwitchApplication.InsuranceHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.InsuranceHeader, Global.LightSwitchApplication.InsuranceHeader.DetailsClass)(__InsuranceDetail.DetailsClass.PropertySetProperties.InsuranceHeader, d._InsuranceHeader)
                End Function
                Private Shared Sub _InsuranceHeader_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As Global.LightSwitchApplication.InsuranceHeader)
                    d.SetImplementationValue(__InsuranceDetail.DetailsClass.PropertySetProperties.InsuranceHeader, d._InsuranceHeader, Sub(i, ev) i.InsuranceHeader = ev, v)
                End Sub
                Private Shared Sub _InsuranceHeader_Refresh(d As __InsuranceDetail.DetailsClass)
                    d.RefreshNavigationProperty(__InsuranceDetail.DetailsClass.PropertySetProperties.InsuranceHeader, d._InsuranceHeader)
                End Sub
                Private Shared Sub _InsuranceHeader_OnValueChanged(e As __InsuranceDetail)
                    e.InsuranceHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PaidBy As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.Staff).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.Staff).Entry( _
                        "PaidBy", _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_Stub, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_ComputeIsReadOnly, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_Validate, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_GetCoreImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_GetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_SetImplementationValue, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_Refresh, _
                        AddressOf __InsuranceDetail.DetailsClass.PropertySetProperties._PaidBy_OnValueChanged)
                Private Shared Sub _PaidBy_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InsuranceDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.Staff).Data), d As __InsuranceDetail.DetailsClass, sf As Object)
                    c(d, d._PaidBy, sf)
                End Sub
                Private Shared Function _PaidBy_ComputeIsReadOnly(e As __InsuranceDetail) As Boolean
                    Dim result As Boolean = False
                    e.PaidBy_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PaidBy_Validate(e As __InsuranceDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PaidBy_Validate(r)
                End Sub
                Private Shared Function _PaidBy_GetCoreImplementationValue(d as __InsuranceDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.PaidBy
                End Function
                Private Shared Function _PaidBy_GetImplementationValue(d as __InsuranceDetail.DetailsClass) As Global.LightSwitchApplication.Staff
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Staff, Global.LightSwitchApplication.Staff.DetailsClass)(__InsuranceDetail.DetailsClass.PropertySetProperties.PaidBy, d._PaidBy)
                End Function
                Private Shared Sub _PaidBy_SetImplementationValue(d As __InsuranceDetail.DetailsClass, v As Global.LightSwitchApplication.Staff)
                    d.SetImplementationValue(__InsuranceDetail.DetailsClass.PropertySetProperties.PaidBy, d._PaidBy, Sub(i, ev) i.PaidBy = ev, v)
                End Sub
                Private Shared Sub _PaidBy_Refresh(d As __InsuranceDetail.DetailsClass)
                    d.RefreshNavigationProperty(__InsuranceDetail.DetailsClass.PropertySetProperties.PaidBy, d._PaidBy)
                End Sub
                Private Shared Sub _PaidBy_OnValueChanged(e As __InsuranceDetail)
                    e.PaidBy_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PremiumAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DatePaid As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PaymentMode As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InsuranceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.InsuranceHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PaidBy As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InsuranceDetail, __InsuranceDetail.DetailsClass, Global.LightSwitchApplication.Staff).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
